| Kea 3.0.2-git

isc::db::MySqlBindingTraits< boost::posix_time::ptime > Struct Reference

Specialization for MySQL TIMESTAMP type. More...

`#include <mysql_binding.h>`

## Static Public Attributes
static const bool | am_unsigned
| Boolean value indicating if the numeric value is unsigned.
static const bool | am_unsignged = false
static const enum_field_types | column_type = MYSQL_TYPE_TIMESTAMP
static const size_t | length = sizeof(MYSQL_TIME)

## Detailed Description

Specialization for MySQL TIMESTAMP type.

Definition at line 58 of file mysql_binding.h.

## Member Data Documentation

## ◆ am_unsigned

const bool isc::db::MySqlBindingTraits< boost::posix_time::ptime >::am_unsigned
| static

Boolean value indicating if the numeric value is unsigned.

Definition at line 45 of file mysql_binding.h.

## ◆ am_unsignged

const bool isc::db::MySqlBindingTraits< boost::posix_time::ptime >::am_unsignged = false
| static

Definition at line 61 of file mysql_binding.h.

## ◆ column_type

const enum_field_types isc::db::MySqlBindingTraits< boost::posix_time::ptime >::column_type = MYSQL_TYPE_TIMESTAMP
| static

Definition at line 59 of file mysql_binding.h.

## ◆ length

const size_t isc::db::MySqlBindingTraits< boost::posix_time::ptime >::length = sizeof(MYSQL_TIME)
| static

Definition at line 60 of file mysql_binding.h.

The documentation for this struct was generated from the following file:

- mysql_binding.h